Skip to main content
Use polling endpoints to periodically reconcile state, or subscribe to webhooks for real-time updates.

Endpoint monitoring use cases

EndpointMonitoring use case
GET /v2/walletsPeriodically sync your list of wallets (and their latest state).
GET /v2/wallets/{id}Refresh a single wallet’s latest status, balances, and positions.
GET /v2/wallets/{id}/activityFetch the activity feed for a wallet.
GET /v2/wallets/{id}/depositsList deposits for a wallet.
GET /v2/wallets/{id}/withdrawalsList withdrawals for a wallet.
PATCH /v2/wallets/{id}/strategyApply a strategy update and track progress via webhooks.
POST /v2/webhook-endpointsSubscribe to wallet lifecycle and monitoring events.

Polling (scheduled monitoring)

For code examples and recommended polling patterns, see Polling.

Webhooks (real-time monitoring)

Use webhooks to react to balance changes, deposit status updates, withdrawals (including per-leg payouts), position updates, and strategy status updates.

Register a webhook

Use POST /v2/webhook-endpoints to register your webhook url and the set of event types you want to receive. For request/response schemas, see the API Reference for POST /v2/webhook-endpoints.